Search Results for

Show / Hide Table of Contents

# Class VerticalTextAlignment

Vertical text alignment enumeration, controls how text is displayed.

##### Inheritance

System.Object
VerticalTextAlignment

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class VerticalTextAlignment : Enum

### Fields

#### Bottom

Aligns the text to the bottom of the frame.

##### Declaration

    public const VerticalTextAlignment Bottom

##### Field Value

Type | Description
--- | ---
VerticalTextAlignment |

#### Justified

Shows the text as justified text in the frame.

##### Declaration

    public const VerticalTextAlignment Justified

##### Field Value

Type | Description
--- | ---
VerticalTextAlignment |

#### Middle

Centers the text verticaly in the frame.

##### Declaration

    public const VerticalTextAlignment Middle

##### Field Value

Type | Description
--- | ---
VerticalTextAlignment |

#### Top

Aligns the text to the top of the frame.

##### Declaration

    public const VerticalTextAlignment Top

##### Field Value

Type | Description
--- | ---
VerticalTextAlignment |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |